Bug 27128 - Follow-up to bug 25728 - Don't prefill av's code
Summary: Follow-up to bug 25728 - Don't prefill av's code
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 25728
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-01 15:17 UTC by Fridolin Somers
Modified: 2021-06-14 21:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.01


Attachments
Bug 27128: Follow-up to bug 25728 - Don't prefill av's code (1.60 KB, patch)
2020-12-01 15:24 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27128: Follow-up to bug 25728 - Don't prefill av's code (1.62 KB, patch)
2020-12-01 15:25 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27128: (bug 25728 follow-up) Don't prefill av's code (1.69 KB, patch)
2020-12-01 15:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2020-12-01 15:17:54 UTC
Bug 25728 patch "Don't prefill av's code" does not work.
Calling empty val() retruns the attribut.
Should be val('').
Comment 1 Fridolin Somers 2020-12-01 15:24:18 UTC
Created attachment 114076 [details] [review]
Bug 27128: Follow-up to bug 25728 - Don't prefill av's code

Bug 25728 patch "Don't prefill av's code" does not work.
Calling empty val() retruns the attribut.
Should be val('').

Test plan :
1) Without patch
2) Edit a record
3) Edit a subfield with AV
4) Enter a new value to create it
5) You see the modal popup, edit and save
6) Enter another new value to create it
7) You see the modal popup => value is prefilled
8) Re-do test plan with patch => value is empty
Comment 2 Fridolin Somers 2020-12-01 15:25:13 UTC
Created attachment 114077 [details] [review]
Bug 27128: Follow-up to bug 25728 - Don't prefill av's code

Bug 25728 patch "Don't prefill av's code" does not work.
Calling empty val() retruns the attribut.
Should be val('').

Test plan :
1) Without patch
2) Edit a record
3) Edit a subfield with AV
4) Enter a new value to create it
5) You see the modal popup, edit and save
6) Enter another new value to create it
7) You see the modal popup => value is prefilled
8) Re-do test plan with patch (+ clear JS cache) => value is empty
Comment 3 Jonathan Druart 2020-12-01 15:28:21 UTC
Created attachment 114078 [details] [review]
Bug 27128: (bug 25728 follow-up) Don't prefill av's code

Bug 25728 patch "Don't prefill av's code" does not work.
Calling empty val() retruns the attribut.
Should be val('').

Test plan :
1) Without patch
2) Edit a record
3) Edit a subfield with AV
4) Enter a new value to create it
5) You see the modal popup, edit and save
6) Enter another new value to create it
7) You see the modal popup => value is prefilled
8) Re-do test plan with patch (+ clear JS cache) => value is empty

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2020-12-04 16:05:03 UTC Comment hidden (obsolete)
Comment 5 Fridolin Somers 2020-12-07 08:16:23 UTC
Pushed to 20.11.x for 20.11.01
Comment 6 Jonathan Druart 2020-12-07 16:55:44 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Andrew Fuerste-Henry 2020-12-15 20:38:13 UTC
Missing dependency, not backported to 20.05